#include <bits/stdc++.h>
using namespace std;
long long n,c,q,l,r,rez;
string s;
int main(){
    cin>>n>>c>>q;
    cin>>s;

    for(int i=1;i<=q;i++){
        cin>>l>>r;
        l--;
        r--;
        rez=0;

        for(int j=0;j<s.size();j++){
            if( (j>=l) and (j<=r) ){
                if(s[j]=='0'){
                    rez++;
                    s[j]='1';
                }
                else{
                    s[j]='0';
                }
            }

            else{
                if(s[j]=='1'){
                    rez++;
                }
            }
        }
        cout<<rez<<endl;
    }






return 0;}